Couchbase error 324 on PHP 5.3

#1

I can’t say that I remember error code 324. Could you post a small code snippet on what you’re doing? Which versions are you using of libcouchbase and the PHP couchbase extension?
Cheers,
Trond

#2

Hi, I am using libcouchbase version 2 and my php extension version 1.1.0-dp5-ubuntu1110-x86_64
I am using this code for testing my couchbase

$cb_obj = new Couchbase($config_couch[‘host’], $config_couch[‘user’], $config_couch[‘pass’], config_bucket[‘name’]);
$connection_result = $cb_obj->getResultCode();
if($connection_result == 0) {
// Simple get
$cb_obj->get(“sdd-sdd”);
} else {
echo “Connection failure”;
}

Regardless of what function I use, it always says error 324 on the browser. I used tail on my apache2 logs, these are sample contents:

Quote:

[Thu Dec 27 07:01:43 2012] [notice] child pid 812 exit signal Segmentation fault (11)
[Thu Dec 27 07:01:43 2012] [notice] child pid 2004 exit signal Segmentation fault (11)
[Thu Dec 27 07:01:47 2012] [notice] child pid 815 exit signal Segmentation fault (11)

I think that the libcouchbase library is causing this.

#3

Hi, I encountered a sudden stumbling point for my project. I have created and fully setup a VM for the Couchbase 2.0 client on PHP. All is working fine then i needed to migrate it to a production server. When I loaded the files on my server, placing the necessary configurations (ports, hostnames, buckets…)
The web admin portal is good, it can be accessed and used
but when using the Client commands of get and set, i get an error 324? I do not know how it happened, I backtracked most of my code.
I can successfully create a Couchbase connection using my php client, what i do not understand is that wehn i try to use the commands for adding, setting and getting, i get an error 324
Please help.
This is what I am using
Ubuntu 11.10 with C Client and PHP Client Library
Php 5.3.19
Couchbase 2.0

#4

I have implemented the solution you have provided and it works. Thanks!

#5

I’m pretty sure you can resolve this by using the latest php ext (1.1.2) and the newest lcb version! If both versions don’t belong together, you pretty much get these segfaults.
Can you please update to the latest stables and try again?
Thanks!